using System;
using System.Collections.Generic;
using System.Text;

namespace InfiniTec.Threading
{
    /// <summary>
    /// The various states for a copy operation
    /// </summary>
    public enum CopyOperation
    {
        /// <summary>
        /// Indicates, the the copy operation is currently reading from the source stream.
        /// </summary>
        Reading,
        /// <summary>
        /// Indicates, the the copy operation is currently writing to the destination stream.
        /// </summary>
        Writing
    }
}