using System;
using System.Collections.Generic;
using System.Text;
using InfiniTec.Threading;

namespace InfiniTec.Threading
{
    /// <summary>
    /// This type of event is fired when the progress of an <see cref="AsyncOperation" /> changes.
    /// </summary>
    /// <typeparam name="T">The status type of the operaiton</typeparam>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The parameters of the event.</param>
    public delegate void ProgressChangedEventHandler<T>(object sender, ProgressChangedEventArgs<T> e);
}
